LibreOffice LibreOffice 6.2 SDK C/C++ API Reference

Public Attributes | List of all members
_rtl_Locale Struct Reference

The implementation structure of a locale. More...

`#include <locale.h>`

## Public Attributes
rtl_uString * | Language
| Lowercase two-letter ISO 639-1 or three-letter ISO 639-3 code. More...
rtl_uString * | Country
| uppercase two-letter ISO-3166 code. More...
rtl_uString * | Variant
| Lowercase vendor and browser specific code. More...
sal_Int32 | HashCode
| The merged hash value of the Language, Country and Variant strings. More...

## Detailed Description

The implementation structure of a locale.

Do not create this structure direct. Only use the functions rtl_locale_register and rtl_locale_setDefault. The strings Language, Country and Variant are constants, so it is not necessary to acquire and release them.

## Member Data Documentation

## ◆ Country

rtl_uString* _rtl_Locale::Country

uppercase two-letter ISO-3166 code.

## ◆ HashCode

sal_Int32 _rtl_Locale::HashCode

The merged hash value of the Language, Country and Variant strings.

## ◆ Language

rtl_uString* _rtl_Locale::Language

Lowercase two-letter ISO 639-1 or three-letter ISO 639-3 code.

## ◆ Variant

rtl_uString* _rtl_Locale::Variant

Lowercase vendor and browser specific code.

The documentation for this struct was generated from the following file:

- rtl/locale.h